Bug 383 - Release of perl is buggy
Release of perl is buggy
Status: CLOSED DUPLICATE of bug 90
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-10 13:37 EST by cadams
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-12-11 17:54:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cadams 1998-12-10 13:37:39 EST
Some scripts that work with perl 5.004_04 (the version
included with RHL 5.1) don't work with the version included
with RHL 5.2.  It appears that the version with 5.2 is buggy
in some respects.  I've had it running for a few hours, and
already found a couple of problems.  One I tracked down to
the regexp replace

 $dtstr =~ s#(\A|\n|\Z)# #sog;

giving a "Substitution loop" error (and the script dies).
This is a valid regexp, so I suspect the maintenance release
of perl from RHL 5.2 is buggy.

How about sticking to "released" versions of software for
RHL releases?  I use RHL on several Internet/web/database
servers and I depend on it being stable.
Comment 1 Jay Turner 1998-12-10 14:04:59 EST
The version of Perl that ships with 5.2 is 5.004_04 (check /usr/bin to
verify) and using a fresh install of 5.2 I was able to execute the
script command that you included without problems in the test lab.
Verify the version of Perl that you are running.
Comment 2 cadams 1998-12-10 20:05:59 EST
Please see my email - this is a bug in the trial release of perl used
in building the RHL 5.2 perl RPM.  The version of perl you included
with RHL 5.2 is a trial maintenance release, not meant for regular
widespread distribution.  Looking through Bugzilla, I see lots of
complaints about this version of perl.  You should issue an errata on
this, either reccomending people downgrade to a stable version of perl
or upgrade to a newer perl (and put a newer version of perl in the
updates directory).
Comment 3 David Lawrence 1998-12-11 11:45:59 EST
This bug has been assigned to a developer for further review.
Comment 4 Cristian Gafton 1998-12-11 17:54:59 EST
*** This bug has been marked as a duplicate of 90 ***

Note You need to log in before you can comment on or make changes to this bug.